org.apache.ignite.internal.processors.datastructures

## Class DataStructuresCacheKey

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.DataStructuresCacheKey

All Implemented Interfaces:
  Serializable, GridCacheInternal

    public class DataStructuresCacheKey
    extends Object
    implements GridCacheInternal, Serializable

Internal key for data structures processor.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DataStructuresCacheKey()`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataStructuresCacheKey

    public DataStructuresCacheKey()

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017